Bug 1275386 - Review Request: openscap-daemon - manages continuous SCAP scans of your infrastructure
Review Request: openscap-daemon - manages continuous SCAP scans of your infra...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Šimon Lukašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 14:18 EDT by Martin Preisler
Modified: 2016-05-24 03:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-24 03:21:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
slukasik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Martin Preisler 2015-10-26 14:18:48 EDT
Spec URL: https://mpreisle.fedorapeople.org/pkgs/openscap-daemon/openscap-daemon.spec
SRPM URL: https://mpreisle.fedorapeople.org/pkgs/openscap-daemon/openscap-daemon-0.1.0-1.fc22.src.rpm
Description:
The OpenSCAP project has progressed greatly over the past years and now
provides very nice tooling to perform solicited one-off SCAP evaluation
of the machine it runs on. Unsolicited, continuous or planned evaluation
has always been out of scope of OpenSCAP to avoid feature creep. The
previously mentioned use-case is very desirable and has been requested
many times. We feel that now the time is right to start a project that
helps you run oscap and does evaluation for you. OpenSCAP-daemon is such
a project.

The project currently comprises of two parts, the daemon that runs in
the background sleeping until a task needs processing, and the command-line
tool that talks to the aforementioned daemon using dbus. Do not be alarmed,
the command-line tool is much easier to use than pure oscap for common
use-cases.

Fedora Account System Username: mpreisle
Comment 1 Šimon Lukašík 2015-11-09 09:21:23 EST
1) The package should require dbus package as it uses /etc/dbus-1/system.d/ directory.

This is not a blocker, as you already require python-dbus. But still consider fixing this.

2) First paragraph of description is not really a project description.

However, this is not a blocker.

3) The whole thing is python2.

There is no problem with that, per se. We can accept Python2 packages to Fedora. So the packaging is alright.

However, atomic in F23+ is build/installed using python3 and you require some of the atomic parts.
That could will not work on F23, so you need to patch the specfile for f23 and rawhide.

Please review the specfile of atomic, and consider using same if/else statements for deciding target python version.

2) rpmlint issues:
> openscap-daemon.noarch: W: invalid-license LGPLv2.1+

Please fix this. The document at https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing advices to use LGPLv2+ in your case.

Also there are files in `cve_scanner` sub-dir which are LGPLv2+. Note that FSF address is incorrect in them (not a blocker).

> openscap-daemon.noarch: W: non-conffile-in-etc /etc/dbus-1/system.d/org.oscapd.conf

Use %config(noreplace) %{_sysconfdir}/dbus-1/system.d/ ...

> openscap-daemon.noarch: W: no-manual-page-for-binary oscapd
> openscap-daemon.noarch: W: no-manual-page-for-binary oscapd-cli

This is not a blocker for me. However, perhaps you can file an upstream ticket for this.

> openscap-daemon.src: W: invalid-url Source0: https://github.com/OpenSCAP/openscap-daemon/releases/download/0.1.0/openscap_daemon-0.1.0.tar.gz HTTP Error 403: Forbidden

Please use valid URL.

---
This is all I have found during the first round. Overall good job!
Comment 2 Martin Preisler 2015-11-20 10:31:04 EST
Spec URL: https://mpreisle.fedorapeople.org/pkgs/openscap-daemon/openscap-daemon.spec
SRPM URL: https://mpreisle.fedorapeople.org/pkgs/openscap-daemon/openscap-daemon-0.1.0-2.fc22.src.rpm

Thanks for review, comments inline.

(In reply to Šimon Lukašík from comment #1)
> 1) The package should require dbus package as it uses /etc/dbus-1/system.d/
> directory.
> 
> This is not a blocker, as you already require python-dbus. But still
> consider fixing this.

Done

> 
> 2) First paragraph of description is not really a project description.
> 
> However, this is not a blocker.

https://github.com/OpenSCAP/openscap-daemon/issues/29

> 
> 3) The whole thing is python2.
> 
> There is no problem with that, per se. We can accept Python2 packages to
> Fedora. So the packaging is alright.
> 
> However, atomic in F23+ is build/installed using python3 and you require
> some of the atomic parts.
> That could will not work on F23, so you need to patch the specfile for f23
> and rawhide.
> 
> Please review the specfile of atomic, and consider using same if/else
> statements for deciding target python version.

Currently only python2 is supported. This may be revisited in the future.

> 
> 2) rpmlint issues:
> > openscap-daemon.noarch: W: invalid-license LGPLv2.1+
> 
> Please fix this. The document at
> https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing advices to use
> LGPLv2+ in your case.

Done

> Also there are files in `cve_scanner` sub-dir which are LGPLv2+. Note that
> FSF address is incorrect in them (not a blocker).

https://github.com/OpenSCAP/openscap-daemon/issues/28

> 
> > openscap-daemon.noarch: W: non-conffile-in-etc /etc/dbus-1/system.d/org.oscapd.conf
> 
> Use %config(noreplace) %{_sysconfdir}/dbus-1/system.d/ ...

Done

> 
> > openscap-daemon.noarch: W: no-manual-page-for-binary oscapd
> > openscap-daemon.noarch: W: no-manual-page-for-binary oscapd-cli
> 
> This is not a blocker for me. However, perhaps you can file an upstream
> ticket for this.

https://github.com/OpenSCAP/openscap-daemon/issues/27

> 
> > openscap-daemon.src: W: invalid-url Source0: https://github.com/OpenSCAP/openscap-daemon/releases/download/0.1.0/openscap_daemon-0.1.0.tar.gz HTTP Error 403: Forbidden
> 
> Please use valid URL.

It is actually a valid URL and can be downloaded with firefox or chrome just fine. I suspect github is returning 403 based on sent user-agent.
Comment 3 Šimon Lukašík 2015-11-23 06:04:00 EST
===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
Comment 4 Gwyn Ciesla 2015-11-23 10:11:51 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/openscap-daemon
Comment 5 Šimon Lukašík 2016-05-24 03:21:36 EDT
This package is already in Fedoras. Closing the review.

Note You need to log in before you can comment on or make changes to this bug.